<?php

namespace Drupal\drupal_git\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\drupal_git\GitRepository;

/**
 * Class drupalGitAllRepoController.
 */
class DrupalGitAllRepoController extends ControllerBase {

  /**
   * Drupalgitallrepo.
   *
   * @return string
   *   Return Hello string.
   */
  public function drupalGitAllRepo() {
    $repo = new GitRepository(__DIR__);
    return [
      [
        '#markup' => $this->t("List of all repository branches (remotes & locals) ( Current Branch: @current )", ['@current' => $repo->getCurrentBranchName()]),
      ],
      [
        '#theme' => 'item_list',
        '#list_type' => 'ul',
        '#title' => $this->t("Branches"),
        '#items' => $repo->getBranches(),
        '#attributes' => [
          'class' => [
            'drupal-git', 'drupal-git-all-logs',
          ],
        ],
        '#wrapper_attributes' => [
          'class' => 'container',
        ],
      ],
    ];
  }

}
