<?php

namespace Drupal\drupal_git\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\drupal_git\GitRepository;

/**
 * Class drupalGitLogController.
 */
class DrupalGitLogController extends ControllerBase {

  /**
   * Drupalgitlog.
   *
   * @return string
   *   Return Hello string.
   */
  public function drupalGitLog() {
    $repo                = new GitRepository(__DIR__);
    $render              = [];
    $render              = [
      '#theme' => 'item_list',
      '#list_type' => 'ul',
      '#title' => $this->t("Git Pretty Logs"),
      '#items' => $repo->getPrettyLogs(),
      '#attributes' => [
        'class' => [
          'drupal-git',
          'drupal-git-logs',
        ],
      ],
      '#wrapper_attributes' => [
        'class' => 'container',
      ],
    ];
    $render['#attached'] = [
      'library' => 'drupal_git/drupal_git_global',
    ];
    return $render;
  }

}
