<?php

namespace Drupal\drupal_git\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\drupal_git\GitRepository;

/**
 * Class DrupalGitOtherController.
 */
class DrupalGitOtherController extends ControllerBase {

  /**
   * Drupalgitotherinfo.
   *
   * @return string
   *   Return Hello string.
   */
  public function drupalGitOtherInfo() {
    $repo = new GitRepository(__DIR__);
    return [
      [
        '#markup' => $this->t("Last commit id in current branch <b>@current_branch</b> : @commit_id", ['@current_branch' => $repo->getCurrentBranchName(), '@commit_id' => $repo->getLastCommitId()]),
      ],
      [
        '#theme' => 'item_list',
        '#list_type' => 'ul',
        '#title' => $this->t("List of remote"),
        '#items' => $repo->getRemoteRepo(),
        '#attributes' => ['class' => 'drupal-git'],
        '#wrapper_attributes' => ['class' => 'container'],
      ],
      [
        '#theme' => 'item_list',
        '#list_type' => 'ul',
        '#title' => $this->t("List of all local branches", ['@current' => $repo->getCurrentBranchName()]),
        '#items' => $repo->getLocalBranches(),
        '#attributes' => ['class' => 'drupal-git'],
        '#wrapper_attributes' => ['class' => 'container'],
      ],
    ];
  }

}
