<?php

namespace Drupal\drupal_git\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\drupal_git\GitRepository;

/**
 * Class drupalGitStatusController.
 */
class DrupalGitStatusController extends ControllerBase {

  /**
   * Drupalgitstatus.
   *
   * @return string
   *   Return Hello string.
   */
  public function drupalGitStatus() {
    $repo = new GitRepository(__DIR__);
    return [
      '#theme' => 'item_list',
      '#list_type' => 'ul',
      '#title' => $this->t("List of files Which are staged, unstaged, and untracked"),
      '#items' => $repo->getStatus(),
      '#attributes' => ['class' => ['drupal-git', 'drupal-git-status']],
      '#wrapper_attributes' => ['class' => 'container'],
      '#attached' => [
        'library' => 'drupal_git/drupal_git_global',
      ],
    ];
  }

}
